<?php

namespace App\Entity;

use App\Repository\MerParaDMRepository;
use Doctrine\ORM\Mapping as ORM;

#[ORM\Entity(repositoryClass: MerParaDMRepository::class)]
class MerParaDM extends MerService implements OttInterface
{
//    #[ORM\Id]
//    #[ORM\GeneratedValue]
//    #[ORM\Column(type: 'integer')]
//    private $id;

    #[ORM\Column(type: 'string', length: 255)]
    private $product_code;

    #[ORM\OneToOne(targetEntity: MerDM::class, cascade: ['persist'])]
    private MerDM $platform;

//    public function getId(): ?int
//    {
//        return $this->id;
//    }

    public function getProductCode(): ?string
    {
        return $this->product_code;
    }

    public function setProductCode(string $productCode): self
    {
        $this->product_code = $productCode;

        return $this;
    }

    public function getPlatform(): ?MerDM
    {
        return $this->platform;
    }

    public function setPlatform(?MerDM $platform): self
    {
        $this->platform = $platform;

        return $this;
    }
}
