<?php

namespace App\Entity;

use App\Repository\MerBeDMRepository;
use Doctrine\ORM\Mapping as ORM;

#[ORM\Entity(repositoryClass: MerBeDMRepository::class)]
class MerBeDM extends MerService implements OttInterface
{
//    #[ORM\Id]
//    #[ORM\GeneratedValue]
//    #[ORM\Column(type: 'integer')]
//    private $id;

    #[ORM\Column(type: 'string', length: 255)]
    private $activation_code;

    #[ORM\OneToOne(targetEntity: MerDM::class, cascade: ['persist'])]
    private MerDM $platform;

//    public function getId(): ?int
//    {
//        return $this->id;
//    }

    public function getActivationCode(): ?string
    {
        return $this->activation_code;
    }

    public function setActivationCode(string $activationCode): self
    {
        $this->activation_code = $activationCode;

        return $this;
    }

    public function getPlatform(): ?MerDM
    {
        return $this->platform;
    }

    public function setPlatform(?MerDM $platform): self
    {
        $this->platform = $platform;

        return $this;
    }
}
