<?php

namespace App\Entity;

use App\Repository\MerParaDTRepository;
use Doctrine\ORM\Mapping as ORM;

#[ORM\Entity(repositoryClass: MerParaDTRepository::class)]
class MerParaDT extends MerService implements OttInterface
{
//    #[ORM\Id]
//    #[ORM\GeneratedValue]
//    #[ORM\Column(type: 'integer')]
//    private $id;

    #[ORM\Column(type: 'string', length: 255)]
    private $api_key;

    #[ORM\OneToOne(targetEntity: MerDT::class, cascade: ['persist'])]
    private MerDT $platform;

//    public function getId(): ?int
//    {
//        return $this->id;
//    }

    public function getApiKey(): ?string
    {
        return $this->api_key;
    }

    public function setApiKey(string $apiKey): self
    {
        $this->api_key = $apiKey;

        return $this;
    }

    public function getPlatform(): ?MerDT
    {
        return $this->platform;
    }

    public function setPlatform(?MerDT $platform): self
    {
        $this->platform = $platform;

        return $this;
    }
}
