<?php

namespace App\Entity;

use Doctrine\ORM\Mapping as ORM;

#[ORM\MappedSuperclass]
class Platform
{
    #[ORM\OneToOne(targetEntity: "MerService", inversedBy: "platform")]
    #[ORM\JoinColumn(name: "ott_id", referencedColumnName: "id")]
    private ?MerService $ott;

    public function getOtt(): ?MerService
    {
        return $this->ott;
    }

    public function setPlatform(?MerService $ott): self
    {
        $this->ott = $ott;

        return $this;
    }
}